<?php 
/**
* Template for Car Listings
* Used in: taxonomy-mt-car-category.php, taxonomy-mt-car-features.php, taxonomy-mt-car-type.php, search.php
**/


// CAR THUMBNAIL
$post_img = '';
$thumbnail_src_featured = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'rentacarwp_car_archive_featured' );
$thumbnail_src_thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'rentacarwp_car_archive_thumbnail' );

    if ($thumbnail_src_featured) {
        $post_img = '<img class="blog_post_image" src="'. esc_url($thumbnail_src_featured[0]) . '" alt="'.get_the_title().'" />';
        $post_col = 'col-md-6';
    } else {
        $post_col = 'col-md-12 no-featured-image';
    }

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('single-post list-view col-md-12'); ?> > 
    <div class="blog_custom row">

        <div class="col-md-12 post-details">
            <div class="row">
               <?php if ($post_img) { ?>

                    <div class="col-md-8 mt_cars--main-pic">
                        <a href="<?php the_permalink(); ?>" class="relative">
                            <div class="absolute gradient-holder-category"></div>  
                            <?php echo wp_kses_post($post_img); ?>
                        </a>
                        <h3 class="post-name absolute"><?php echo get_the_title(); ?> / <?php echo get_the_term_list( get_the_ID(), 'mt-car-type', '', ' ' ); ?></h3>
                    </div>
                <?php } ?>

                <div class="col-md-4 mt_cars--features-description">
                    

                    <?php 
                        // Price per day - meta
                        $mt_car_price_day = get_post_meta( get_the_ID(), 'mt_car_price_day', true );
                        // Price per day
                        if(isset($mt_car_price_day)){
                            echo '<div class="mt_car--price-day mt_car--price">';
                                if (rentacarwp_redux('mt_cars_settings_currency_position') == 'left') {
                                    ?><span class="car_currency"><?php echo rentacarwp_get_currency_symbol();?></span><?php
                                }elseif (rentacarwp_redux('mt_cars_settings_currency_position') == 'left_with_space') {
                                    ?><span class="car_currency"><?php echo rentacarwp_get_currency_symbol() . ' ';?></span><?php
                                }
                                ?>
                                <span class="car_price"><?php echo esc_attr($mt_car_price_day); ?></span>
                                <span class="car_per"><?php echo esc_attr__(' Per Day', 'rentacarwp');?></span><?php
                                if (rentacarwp_redux('mt_cars_settings_currency_position') == 'right') {
                                    ?><span class="car_currency"><?php echo rentacarwp_get_currency_symbol(); ?></span><?php
                                }elseif (rentacarwp_redux('mt_cars_settings_currency_position') == 'right_with_space') {
                                    ?><span class="car_currency"><?php echo ' ' . rentacarwp_get_currency_symbol(); ?></span><?php
                                }
                            echo '</div>';
                        }
                    ?>

                    <div class="post-category-comment-date row">
                        <!-- POST FEATURES -->
                        <?php echo get_the_term_list( get_the_ID(), 'mt-car-features', '<div class="single-post-tags"><div class="col-md-6 single-car-feature"><i class="fa fa-check-circle-o"></i> ', '</div><div class="col-md-6 single-car-feature"><i class="fa fa-check-circle-o"></i> ', '</div></div>' ); ?>
                    </div>

                    <?php 
                        // Number passengers - meta
                        $mt_car_number_passengers = get_post_meta( get_the_ID(), 'mt_car_number_passengers', true );

                        // Car Luggage - meta
                        $mt_car_luggage = get_post_meta( get_the_ID(), 'mt_car_luggage', true );

                        // Gearbox - meta
                        $mt_car_gearbox = get_post_meta( get_the_ID(), 'mt_car_gearbox', true );

                        $passenger_icon = get_template_directory_uri() . '/images/theme_rentacar_icon4.png';
                        $luggage_icon = get_template_directory_uri() . '/images/theme_rentacar_icon2.png';
                        $gearbox_icon = get_template_directory_uri() . '/images/theme_rentacar_icon1.png';

                        
                    ?>

                    <div class="mt_car--important-features col-md-12">
                        <!-- POST IMPORTANT FEATURES -->
                        <?php

	                        if(!empty($mt_car_number_passengers)) {
	                        	echo '<span class="col-md-4 text-left car_number_passengers">';
		                        	echo '<img src="'.esc_url($passenger_icon).'" alt="passengers" height="30" width="30">';
		                        		echo '<span class="car_number_passengers_value">'.esc_attr($mt_car_number_passengers).'</span>';
	                        	echo '</span>';

	                        }

	                        if(!empty($mt_car_luggage)) {
	                        	echo '<span class="col-md-4 text-left car_luggage">';
		                        	echo '<img src="'.esc_url($luggage_icon).'" alt="luggage" height="30" width="30">';
		                        		echo '<span class="car_luggage_value">'.esc_attr($mt_car_luggage).'</span>';
	                        	echo '</span>';

	                        }

	                        if(!empty($mt_car_gearbox)) {
	                        	echo '<span class="col-md-4 text-left car_gearbox">';
		                        	echo '<img src="'.esc_url($gearbox_icon).'" alt="gearbox" height="30" width="30">';
		                        		echo '<span class="car_gearbox_value">'.esc_attr($mt_car_gearbox).'</span>';
	                        	echo '</span>';

	                        }


                        ?>

                    </div>

                </div>

                <div class="clearfix"></div>

                <?php if ($post_img) { ?>
                    <?php
                       global  $dynamic_featured_image;
                        $featured_images = $dynamic_featured_image->get_featured_images( $postID );

                        //Loop through the image to display your image
                        if( !is_null($featured_images) ){

                            $medias = array();

                            foreach($featured_images as $images){
                                $attachment_id = $images['attachment_id'];
                                $medias[] = $attachment_id;
                            }

                            $ids = '';
                            $len = count($medias);
                            $i = 0;
                            foreach($medias as $media){

                            	$multiple_featured_image1 = wp_get_attachment_url( $media, 'rentacarwp_car_archive_thumbnail' );

                                echo '<div class="col-md-3 mt_cars--extra-pics">';
                                	echo '<a href="'.get_the_permalink().'" class="mt_cars--extra-pics-holder relative">';
	                                	echo '<div class="absolute gradient-holder-category"></div>';
	                                    echo wp_get_attachment_image( $media, 'rentacarwp_car_archive_thumbnail' );
	                                    
                                    echo '</a>';
                                echo '</div>';

                            }
                        } 
                    ?>
                <?php } ?>
            </div>
        </div>
    </div>
    <div class="car_separator"></div>
</article>