<?php
/**
* Content Single
*/
?>


<!-- LISTING FEATURED IMAGE -->

<?php 
$thumbnail_src_featured = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'rentacarwp_car_single_featured' );
$thumbnail_src_featured_full = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
if($thumbnail_src_featured) { ?>
    <!-- ARTICLE THUMBNAIL -->
    <div class="mt_cars--single-main-pic row">
        <div class="absolute gradient-holder flex">
            <div class="container relative flex">
                <div class="post-name">
                    <h1 class="post-title pull-left">
                        <div class="mt_car--post-title"><?php echo get_the_title(); ?></div> / 
                        <div class="mt_car--tax-type"><?php echo get_the_term_list( get_the_ID(), 'mt-car-type', '', ' ' ); ?></div>
                    </h1>

                    <!-- GALLERY -->
                    <div class="mt_car--gallery pull-left">
                        <!-- FEATURED IMAGE -->
                        <a class="mt_car--single-gallery mt_car--featured-single-gallery" href="<?php echo esc_url($thumbnail_src_featured_full[0]); ?>">
                            <i class="fa fa-camera-retro" aria-hidden="true"></i> 
                            <?php echo esc_attr__('View Gallery ','rentacarwp'); ?>
                        </a>
                        <!-- EXTRA POST IMAGES -->
                        <?php
                            global  $dynamic_featured_image;
                            $featured_images = $dynamic_featured_image->get_featured_images( get_the_ID() );

                            //Loop through the image to display your image
                            if( !is_null($featured_images) ){

                                $medias = array();

                                foreach($featured_images as $images){
                                    $attachment_id = $images['attachment_id'];
                                    $medias[] = $attachment_id;
                                }

                                $ids = '';
                                $len = count($medias);
                                $i = 0;
                                foreach($medias as $media){
                                    $multiple_featured_image1 = wp_get_attachment_url( $media, 'full' );
                                    if ($multiple_featured_image1) {
                                        echo '<a class="mt_car--single-gallery" href="'.esc_url($multiple_featured_image1).'"></a>';
                                    }
                                }
                            } 
                        ?>
                    </div>
                </div>
            </div>
        </div>
        <?php the_post_thumbnail( 'rentacarwp_car_single_featured', array('class' => 'class_name')); ?>
    </div>
<?php } ?>
<div class="clearfix"></div>



<!-- ARTICLE CONTENT -->
<article id="post-<?php the_ID(); ?>" <?php post_class('post high-padding'); ?>>
    <div class="container">
       <div class="row">

            <?php if ( rentacarwp_redux('mt_single_blog_layout') == 'mt_single_blog_left_sidebar' && is_active_sidebar( rentacarwp_redux('mt_single_blog_layout_sidebar') )) { ?>
                <div class="col-md-3 sidebar-content">
                    <?php dynamic_sidebar( rentacarwp_redux('mt_single_blog_layout_sidebar') ); ?>
                </div>
            <?php } ?>


            <?php if ( rentacarwp_redux('mt_single_blog_layout') == 'mt_single_blog_fullwidth') {
                $cols = 'col-md-12';
            }else{
                $cols = 'col-md-8';
            } ?>

            

            <!-- POST CONTENT -->
            <div class="<?php echo esc_attr($cols); ?> main-content">
                
                <div class="row mt_car--pricings">
                    <?php 
                        $mt_car_price_day = get_post_meta( get_the_ID(), 'mt_car_price_day', true );
                        $mt_car_price_hour = get_post_meta( get_the_ID(), 'mt_car_price_hour', true );
                        $mt_car_price_transfer_aeroport = get_post_meta( get_the_ID(), 'mt_car_price_transfer_aeroport', true );
                    ?>
                    <?php 
                        // Price per day
                        if(isset($mt_car_price_day)){
                            echo '<div class="mt_car--price-day mt_car--single-price col-md-4">';
                                echo '<div class="mt_car--single-price-inner">';
                                    echo '<span class="priceval">';
                                    if (rentacarwp_redux('mt_cars_settings_currency_position') == 'left') {
                                        echo rentacarwp_get_currency_symbol();
                                    }elseif (rentacarwp_redux('mt_cars_settings_currency_position') == 'left_with_space') {
                                        echo rentacarwp_get_currency_symbol() . ' ';
                                    }
                                    echo esc_attr($mt_car_price_day) . '</span><br />' . esc_attr__(' Per Day', 'rentacarwp');
                                    if (rentacarwp_redux('mt_cars_settings_currency_position') == 'right') {
                                        echo rentacarwp_get_currency_symbol();
                                    }elseif (rentacarwp_redux('mt_cars_settings_currency_position') == 'right_with_space') {
                                        echo ' ' . rentacarwp_get_currency_symbol();
                                    }
                                echo '</div>';
                            echo '</div>';
                        }
                        // Price per hour
                        if(isset($mt_car_price_hour)){
                            echo '<div class="mt_car--price-hour mt_car--single-price col-md-4">';
                                echo '<div class="mt_car--single-price-inner">';
                                    echo '<span class="priceval">';
                                    if (rentacarwp_redux('mt_cars_settings_currency_position') == 'left') {
                                        echo rentacarwp_get_currency_symbol();
                                    }elseif (rentacarwp_redux('mt_cars_settings_currency_position') == 'left_with_space') {
                                        echo rentacarwp_get_currency_symbol() . ' ';
                                    }
                                    echo esc_attr($mt_car_price_hour) . '</span><br />' . esc_attr__(' Per Hour', 'rentacarwp');
                                    if (rentacarwp_redux('mt_cars_settings_currency_position') == 'right') {
                                        echo rentacarwp_get_currency_symbol();
                                    }elseif (rentacarwp_redux('mt_cars_settings_currency_position') == 'right_with_space') {
                                        echo ' ' . rentacarwp_get_currency_symbol();
                                    }
                                echo '</div>';
                            echo '</div>';
                        }
                        // Price per transfer aeroport
                        if(isset($mt_car_price_transfer_aeroport)){
                            echo '<div class="mt_car--price-transfer mt_car--single-price col-md-4">';
                                echo '<div class="mt_car--single-price-inner">';
                                    echo '<span class="priceval">';
                                    if (rentacarwp_redux('mt_cars_settings_currency_position') == 'left') {
                                        echo rentacarwp_get_currency_symbol();
                                    }elseif (rentacarwp_redux('mt_cars_settings_currency_position') == 'left_with_space') {
                                        echo rentacarwp_get_currency_symbol() . ' ';
                                    }
                                    echo esc_attr($mt_car_price_transfer_aeroport) . '</span><br />' . esc_attr__(' Per Transfer Aeroport', 'rentacarwp');
                                    if (rentacarwp_redux('mt_cars_settings_currency_position') == 'right') {
                                        echo rentacarwp_get_currency_symbol();
                                    }elseif (rentacarwp_redux('mt_cars_settings_currency_position') == 'right_with_space') {
                                        echo ' ' . rentacarwp_get_currency_symbol();
                                    }
                                echo '</div>';
                            echo '</div>';
                        }
                    ?>
                </div>

                <!-- CONTENT -->
                <div class="article-content">

                    <!-- POST CONTENT -->
                    <?php the_content(); ?>
                    <div class="clearfix"></div>

                    <div class="mt_car--features-group post-specifications">

                        <!-- POST Specifications -->
                        <h4 class="content-car-heading"><?php echo esc_attr__('Specifications','rentacarwp'); ?></h4>
                        <div class="row mt_car-specifications">
                            <?php 
                            $mt_car_pickup_location = get_post_meta( get_the_ID(), 'mt_car_pickup_location', true );
                            $mt_car_fuel_policy = get_post_meta( get_the_ID(), 'mt_car_fuel_policy', true );
                            $mt_car_mileage_allowancey = get_post_meta( get_the_ID(), 'mt_car_mileage_allowancey', true );
                            $mt_car_price = get_post_meta( get_the_ID(), 'mt_car_price', true );
                            $mt_car_gearbox = get_post_meta( get_the_ID(), 'mt_car_gearbox', true );
                            $mt_car_door = get_post_meta( get_the_ID(), 'mt_car_door', true );
                            $mt_car_number_passengers = get_post_meta( get_the_ID(), 'mt_car_number_passengers', true );
                            $mt_car_luggage = get_post_meta( get_the_ID(), 'mt_car_luggage', true );

                            if(isset($mt_car_pickup_location)){
                                echo '<div class="col-md-4"><i class="icon-arrow-right-circle icons"></i> '.esc_attr__('Pickup Location: ','rentacarwp').'<strong>'.esc_attr($mt_car_pickup_location).'</strong></div>';
                            } 
                            if(isset($mt_car_fuel_policy)){
                                echo '<div class="col-md-4"><i class="icon-arrow-right-circle icons"></i> '.esc_attr__('Fuel Policy: ','rentacarwp').'<strong>'.esc_attr($mt_car_fuel_policy).'</strong></div>';
                            } 
                            if(isset($mt_car_mileage_allowancey)){
                                echo '<div class="col-md-4"><i class="icon-arrow-right-circle icons"></i> '.esc_attr__('Mileage allowance: ','rentacarwp').'<strong>'.esc_attr($mt_car_mileage_allowancey).'</strong></div>';
                            }
                            if(isset($mt_car_gearbox)){
                                echo '<div class="col-md-4"><i class="icon-arrow-right-circle icons"></i> '.esc_attr__('Gearbox: ','rentacarwp').'<strong>'.esc_attr($mt_car_gearbox).'</strong></div>';
                            }
                            if(isset($mt_car_door)){
                                echo '<div class="col-md-4"><i class="icon-arrow-right-circle icons"></i> '.esc_attr__('Doors: ','rentacarwp').'<strong>'.esc_attr($mt_car_door).'</strong></div>';
                            }
                            if(isset($mt_car_number_passengers)){
                                echo '<div class="col-md-4"><i class="icon-arrow-right-circle icons"></i> '.esc_attr__('Passengers: ','rentacarwp').'<strong>'.esc_attr($mt_car_number_passengers).'</strong></div>';
                            }
                            if(isset($mt_car_luggage)){
                                echo '<div class="col-md-4"><i class="icon-arrow-right-circle icons"></i> '.esc_attr__('Luggage: ','rentacarwp').'<strong>'.esc_attr($mt_car_luggage).'</strong></div>';
                            }
                        ?>
                        </div>
                    </div>


                    <div class="mt_car--features-group post-features">
                        <!-- POST FEATURES -->
                        <h4 class="content-car-heading"><?php echo esc_attr__('Features','rentacarwp'); ?></h4>
                        <?php //if (get_the_tags()) { ?>
                            <?php echo get_the_term_list( get_the_ID(), 'mt-car-features', '<div class="single-post-tags row"><div class="col-md-4"><i class="icon-check icons"></i> ', '</div><div class="col-md-4"><i class="icon-check icons"></i> ', '</div></div>' ); ?>
                        <?php //} ?>
                    </div>
                    <div class="clearfix"></div>



                    <?php
                        wp_link_pages( array(
                            'before' => '<div class="page-links">' . esc_attr__( 'Pages:', 'rentacarwp' ),
                            'after'  => '</div>',
                        ) );
                    ?>
                    <div class="clearfix"></div>

                    <?php if (get_the_tags()) { ?>
                        <div class="single-post-tags">
                            <span><?php echo esc_attr__('Tags:','rentacarwp'); ?></span> <?php echo get_the_term_list( get_the_ID(), 'post_tag', '', ' ' ); ?>
                        </div>
                    <?php } ?>

                    <div class="clearfix"></div>
                                      
                    <!-- COMMENTS -->
                    <?php

                        // If comments are open or we have at least one comment, load up the comment template
                        if ( comments_open() || get_comments_number() ) {
                            comments_template();
                        }
                    ?>
                </div>
            </div>

            <div class="col-md-4 sidebar-content">
                <?php //dynamic_sidebar( rentacarwp_redux('mt_single_blog_layout_sidebar') ); ?>
                <!-- Booking Form -->
                <div class="mt_car--booking-form">
                    <?php 
                        if (rentacarwp_redux('mt_cars_settings_booking_cf7_form') != '') {
                            echo do_shortcode('[contact-form-7 id="'.rentacarwp_redux('mt_cars_settings_booking_cf7_form').'"]');
                        }
                    ?>
                    <?php if (rentacarwp_redux('mt_cars_settings_booking_product') != '') { ?>
                        <p class="mt_car--alternative text-center"><?php echo esc_attr__('- OR -','rentacarwp'); ?></p>  
                        <div class="mt_car--add-to-cart-btn">
                            <?php echo do_shortcode('[add_to_cart id="'.rentacarwp_redux('mt_cars_settings_booking_product').'"]'); ?>   
                        </div>
                    <?php } ?>
                </div>
            </div>
            
        </div>
    </div>
</article>


<div class="row post-details-bottom">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <?php if ( rentacarwp_redux('mt_enable_related_cars') ) { ?>

                <div class="clearfix"></div>
                <div class="related-posts sticky-posts">
                    <?php
                    global  $post;  
                    $orig_post = $post;  
                    ?>

                    <h2 class="heading-bottom"><?php esc_attr_e('Related Cars & Vehicles', 'rentacarwp'); ?></h2>
                    <div class="row">
                        <?php 
                        $args=array(  
                            'post__not_in'          => array($post->ID),  
                            'posts_per_page'        => 3, // Number of related posts to display.  
                            'post_type'             => 'mt_car',
                            'post_status'           => 'publish',
                            'ignore_sticky_posts'   => 1  
                        );  

                        $my_query = new wp_query( $args );  

                        while( $my_query->have_posts() ) {  
                            $my_query->the_post(); 
                        
                        ?>  
                            <div class="col-md-4 post">
                                <div class="related_blog_custom">
                                    <?php $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ),'rentacarwp_related_post_pic500x300' ); ?>
                                    <?php if($thumbnail_src){ ?>
                                    <a href="<?php the_permalink(); ?>" class="relative">
                                        <?php if($thumbnail_src) { ?>
                                            <img src="<?php echo esc_url($thumbnail_src[0]); ?>" class="img-responsive" alt="<?php the_title_attribute(); ?>" />
                                        <?php } ?>
                                    </a>
                                    <?php } ?>
                                    <div class="related_blog_details">
                                        <h4 class="post-name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                    </div>
                                </div>
                            </div>

                        <?php 
                        } ?>
                    </div>
                </div>
                    <?php 
                    $post = $orig_post;  
                    wp_reset_postdata();  
                    ?>  
                <?php } ?>

            </div>
        </div>
    </div>
</div>