<?php
/**
 * The template for displaying search results pages.
 */

get_header(); 


$class = "col-md-12";

if ( rentacarwp_redux('mt_blog_layout') == 'mt_blog_fullwidth' ) {
    $class = "col-md-12";
}elseif ( rentacarwp_redux('mt_blog_layout') == 'mt_blog_right_sidebar' or rentacarwp_redux('mt_blog_layout') == 'mt_blog_left_sidebar') {
    $class = "col-md-9";
}
?>


<div class="row search_area_holder relative">
    <img class="absolute" src="<?php echo esc_url(get_template_directory_uri() . '/images/service_background_road.jpg'); ?>" alt="<?php echo esc_attr__('Service', 'rentacarwp'); ?>" />
    <div class="container search_area_inner">
        <?php if(isset($_GET['post_type']) && $_GET['post_type'] == 'mt_car'){ ?>
            <?php 
                /* Search Count */ 
                $count = $wp_query->post_count; 
                if ($count == '1') {
                    $count_value = esc_html__(' Car Found','rentacarwp');
                }else{
                    $count_value = esc_html__(' Cars Found','rentacarwp');
                }
                echo '<h3 class="text-center">'.esc_html($count) .' '. esc_html($count_value).'</h3>'; 
                wp_reset_query(); 
            ?>
            <?php echo do_shortcode('[mt_car_search]'); ?>
        <?php }else{ ?>
            <h3 class="text-center"><?php echo esc_html__( 'Search Results for: ', 'rentacarwp' ) . get_search_query(); ?></h3>
        <?php } ?>
    </div>
</div>


<!-- Page content -->
<div class="high-padding">
    <!-- Blog content -->
    <div class="container blog-posts">
        <div class="row">
            <div class="col-md-12 main-content">
        		<?php if ( have_posts() ) : ?>
                    <div class="row">
            			<?php /* Start the Loop */ ?>

            			<?php while ( have_posts() ) : the_post(); ?>
                            <?php if(isset($_GET['post_type']) && $_GET['post_type'] == 'mt_car'){ ?>
                                <?php get_template_part( 'content', 'carsearch' ); ?>
                            <?php }else{ ?>
                                <?php get_template_part( 'content', 'left' ); ?>
                            <?php } ?>
                        <?php endwhile; ?>

                        <div class="modeltheme-pagination-holder col-md-12">             
                            <div class="modeltheme-pagination pagination">             
                                <?php rentacarwp_pagination(); ?>
                            </div>
                        </div>
                    </div>
        		<?php else : ?>
        			<?php get_template_part( 'content', 'none' ); ?>
        		<?php endif; ?>
            </div>
	   </div>
    </div>
</div>

<?php get_footer(); ?>